libzypp 17.38.15

Selectable.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp-core/base/NonCopyable.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/base/Iterator.h>`
`#include <zypp/ui/SelectableTraits.h>`
`#include <zypp/ui/Status.h>`

Go to the source code of this file.

## Classes
class | zypp::ui::Selectable
| Collects PoolItems of same kind and name. More...
struct | zypp::ui::asSelectable
| Solvable to Selectable transform functor. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::ui

## Functions
| zypp::ui::DEFINE_PTR_TYPE (Selectable)
std::ostream & | zypp::ui::operator<< (std::ostream &str, const Selectable &obj)
| relates: Selectable Stream output
std::ostream & | zypp::ui::dumpOn (std::ostream &str, const Selectable &obj)
| relates: Selectable More verbose stream output